<div class="products-table">
  <nz-table #productTable
            [nzData]="this.products"
            nzSize="small"
            nzTableLayout="auto"
            [nzBordered]="true"
            [nzFrontPagination]="false"
            [nzLoading]="this.loading"
            [nzTotal]="this.pagination?.totalResults"
            [nzPageSize]="this.pagination?.resultsPerPage"
            [nzPageIndex]="this.pagination?.page"
            [nzShowSizeChanger]="true"
            (nzPageSizeChange)="onPageSizeChange($event)"
            (nzPageIndexChange)="onPageNumberChange($event)"
            (nzQueryParams)="onQueryParamsChange($event)">
    <thead>
      <tr>
        <th nzColumnKey="product"
            [nzSortFn]="true">Product</th>
        <th nzColumnKey="vendor">Vendor</th>
        <th nzColumnKey="version"
            class="version-column">Version</th>
        <th nzColumnKey="addedOn"
            class="date-column"
            [nzSortFn]="true">Added on</th>
        <th nzColumnKey="hasCves"
            class="cpe-column">Assigned CPE</th>
        <th nzColumnKey="hasCves"
            class="cves-column">Vulnerability status</th>
      </tr>
    </thead>
    <tbody>
      <tr *ngFor="let data of productTable.data">
        <td routerLinkActive="product-link-active" [routerLink]="['/products/' + data?.id]" class="product-link">{{ data.product }}</td>
        <td>{{ data.vendor }}</td>
        <td>{{ data.version }}</td>
        <td>{{ data.addedOn | date: 'MMM d, y, HH:mm:ss' }}</td>

        <td>
          <div class="icons">
            <i nz-icon
               [nzType]="data.hasCpe? 'check-circle' : 'stop'"
               [nzTheme]="data.hasCpe? '': 'outline'"></i>
          </div>
        </td>

        <td>
          <div class="icons">
            <i nz-icon
               *ngIf="data.hasCpe"
               [nzType]="data.hasCves?'warning':'safety-certificate'"
               [nzTheme]="data.hasCves?'twotone':'outline'"
               [nzTwotoneColor]="data.hasCves?'#b95d5d':''"></i>
          </div>
        </td>
      </tr>
    </tbody>
  </nz-table>
</div>
